import { IWebWorkerAsync, IWebWorkerEvents, MimeTypes } from './types';
/**
 * Client for the Nym mixnet.
 */
export interface NymMixnetClient {
    client: IWebWorkerAsync;
    events: IWebWorkerEvents;
}
/**
 * Create a client to send and receive traffic from the Nym mixnet.
 *
 */
export declare const createNymMixnetClient: (options?: {
    autoConvertStringMimeTypes?: string[] | MimeTypes[];
}) => Promise<NymMixnetClient>;
